all: build test

reset:
	powershell -executionpolicy bypass .\scripts\reset_build.ps1

%.cpp : %.rl
	ragel -o $@ $<

rageldev: ragel
	make test > test.txt
	vim test.txt

ragel:
	ragel -o .\ansi_parser.cpp .\ansi_parser.rl

build: ansi_parser.cpp
	meson compile -j 4 -C builddir

test: build
	./builddir/runtests

run: build test
	powershell "cp ./builddir/roguish.exe ."
	./roguish

clean:
	meson compile --clean -C builddir
